Name:           autopsy
Version:        2.07
Release: 	1%{?dist}
Summary:        Autopsy Forensic Browser

Group:          Applications/System
License:        GPL
URL:            http://www.sleuthkit.org

Source0:        autopsy-2.07.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  sleuthkit

%description
The Autopsy Forensic Browser is a graphical interface to the command line
digital forensic analysis tools in The Sleuth Kit. Together, The Sleuth Kit and
Autopsy provide many of the same features as commercial digital forensics tools
for the analysis of Windows(tm) and UNIX file systems (NTFS, FAT, FFS, EXT2FS,
and EXT3FS).
The Sleuth Kit and Autopsy are both Open Source and run on UNIX platforms. As
Autopsy is HTML-based, the investigator can connect to the Autopsy server from
any platform using an HTML browser. Autopsy provides a "File Manager"-like
interface and shows details about deleted data and file system structures.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/sbin
install -d $RPM_BUILD_ROOT/usr/man/man1
install -d $RPM_BUILD_ROOT/var/log/autopsy
#install -d %{buildroot}%{_localstatedir}/morgue
install -d $RPM_BUILD_ROOT/usr/share/autopsy/help
install -d $RPM_BUILD_ROOT/usr/share/autopsy/lib
install -d $RPM_BUILD_ROOT/usr/share/autopsy/pict

install -m0755 autopsy $RPM_BUILD_ROOT/usr/sbin/autopsy
install -m0755 make-live-cd $RPM_BUILD_ROOT/usr/sbin/make-live-cd
install -m0755 conf.pl $RPM_BUILD_ROOT/usr/share/autopsy/
install -m0644 help/*.html $RPM_BUILD_ROOT/usr/share/autopsy/help/
install -m0644 lib/*.p* $RPM_BUILD_ROOT/usr/share/autopsy/lib/
install -m0644 man/man1/autopsy.1 $RPM_BUILD_ROOT/usr/man/man1/
install -m0644 pict/* $RPM_BUILD_ROOT/usr/share/autopsy/pict/


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc CHANGES.txt INSTALL.txt README.txt TODO.txt
/usr/man/man1/autopsy.1.gz
/usr/sbin/autopsy
/usr/sbin/make-live-cd
%{_datadir}/autopsy/*
%{_datadir}/autopsy/help/*
%{_datadir}/autopsy/lib/*
%{_datadir}/autopsy/pict/*

%changelog

* Wed Aug 16 2006 Paweł Brach <pawel.brach@aurox.org> 2.0.7-1
- initial aurox release